> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company information.

> # Access Control Rules

- Company manager of the company.
- Admins can list all companies. Requires `manage_companies` permissions.



## OpenAPI

````yaml PATCH /api/v0/companies/{company_id}
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/companies/{company_id}:
    patch:
      tags:
        - companies
      summary: Update company information.
      description: >-
        # Access Control Rules


        - Company manager of the company.

        - Admins can list all companies. Requires `manage_companies`
        permissions.
      operationId: update_company_details
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCompany'
        required: true
      responses:
        '204':
          description: Company details successfully updated
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Error updating company details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    UpdateCompany:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
          description: Admin only.
        about:
          type:
            - string
            - 'null'
        legalName:
          type:
            - string
            - 'null'
        legalAddress:
          type:
            - string
            - 'null'
        legalCountry:
          type:
            - string
            - 'null'
        logo:
          type:
            - string
            - 'null'
        website:
          type:
            - string
            - 'null'
        github:
          type:
            - string
            - 'null'
        twitter:
          type:
            - string
            - 'null'
        domain:
          type:
            - string
            - 'null'
        autoJoinAllowed:
          type:
            - boolean
            - 'null'
          description: Setting this value when `domain` is not set has no effect.
        showAuditLog:
          type:
            - boolean
            - 'null'
          description: Can only be set by admins.
        adminData:
          description: Can only be set by admins.
        mergeWith:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
          description: The list of company ids to merge into the target company.
        sessionSettings:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SessionSettings'
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    SessionSettings:
      type: object
      description: |-
        Session expiration settings

        They are expressed in i64 seconds to be database-friendly.
      required:
        - maxTime
        - refreshTime
      properties:
        maxTime:
          type: integer
          format: int64
          description: Max session duration in seconds
        refreshTime:
          type: integer
          format: int64
          description: Time between refresh requests in seconds
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````